///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <Mhlrx_reg.h>
//   @author Max.Kao@ite.com.tw
//   @date   2013/07/01
//   @fileversion: ITE_IT6802_SAMPLE_V1.00
//******************************************/
#ifndef _HDMIRX_REG_H_
#define _HDMIRX_REG_H_

#define IT6802A0_HDMI_ADDR 0x94	//Hardware Fixed I2C address of IT6802 HDMI
#define IT6802B0_HDMI_ADDR 0x90	//Hardware Fixed I2C address of IT6802 HDMI
#define MHL_ADDR 0xE0	//Software programmable I2C address of IT6802 MHL
#define EDID_ADDR 0xA8	//Software programmable I2C address of IT6802 EDID RAM
#define CEC_ADDR 0xC8	//Software programmable I2C address of IT6802 CEC
#if 1
/*****************************************************************************/
/* Register Definitions ******************************************************/
/*****************************************************************************/
#define REG_RX_000 0x00 // REG_RX_000
#define REG_RX_001 0x01 // REG_RX_001
#define REG_RX_002 0x02 // REG_RX_002
#define REG_RX_003 0x03 // REG_RX_003
#define REG_RX_004 0x04 // REG_RX_004
#define REG_RX_005 0x05 // REG_RX_005
#define REG_RX_006 0x06 // REG_RX_006
#define REG_RX_007 0x07 // REG_RX_007
#define REG_RX_008 0x08 // REG_RX_008
#define REG_RX_009 0x09 // REG_RX_009
#define REG_RX_00A 0x0A // REG_RX_00A
#define REG_RX_00B 0x0B // REG_RX_00B
#define REG_RX_00C 0x0C // REG_RX_00C
#define REG_RX_00D 0x0D // REG_RX_00D
#define REG_RX_00E 0x0E // REG_RX_00E
#define REG_RX_00F 0x0F // REG_RX_00F
#define REG_RX_010 0x10 // REG_RX_010
#define REG_RX_011 0x11 // REG_RX_011
#define REG_RX_012 0x12 // REG_RX_012
#define REG_RX_013 0x13 // REG_RX_013
#define REG_RX_014 0x14 // REG_RX_014
#define REG_RX_015 0x15 // REG_RX_015
#define REG_RX_016 0x16 // REG_RX_016
#define REG_RX_017 0x17 // REG_RX_017
#define REG_RX_018 0x18 // REG_RX_018
#define REG_RX_019 0x19 // REG_RX_019
#define REG_RX_01A 0x1A // REG_RX_01A
#define REG_RX_01B 0x1B // REG_RX_01B
#define REG_RX_01C 0x1C // REG_RX_01C
#define REG_RX_01D 0x1D // REG_RX_01D
#define REG_RX_01E 0x1E // REG_RX_01E
#define REG_RX_01F 0x1F // REG_RX_01F
#define REG_RX_020 0x20 // REG_RX_020
#define REG_RX_021 0x21 // REG_RX_021
#define REG_RX_022 0x22 // REG_RX_022
#define REG_RX_023 0x23 // REG_RX_023
#define REG_RX_024 0x24 // REG_RX_024
#define REG_RX_025 0x25 // REG_RX_025
#define REG_RX_026 0x26 // REG_RX_026
#define REG_RX_027 0x27 // REG_RX_027
#define REG_RX_028 0x28 // REG_RX_028
#define REG_RX_029 0x29 // REG_RX_029
#define REG_RX_02A 0x2A // REG_RX_02A
#define REG_RX_02B 0x2B // REG_RX_02B
#define REG_RX_02C 0x2C // REG_RX_02C
#define REG_RX_02D 0x2D // REG_RX_02D
#define REG_RX_02E 0x2E // REG_RX_02E
#define REG_RX_02F 0x2F // REG_RX_02F
#define REG_RX_030 0x30 // REG_RX_030
#define REG_RX_031 0x31 // REG_RX_031
#define REG_RX_032 0x32 // REG_RX_032
#define REG_RX_033 0x33 // REG_RX_033
#define REG_RX_034 0x34 // REG_RX_034
#define REG_RX_035 0x35 // REG_RX_035
#define REG_RX_036 0x36 // REG_RX_036
#define REG_RX_037 0x37 // REG_RX_037
#define REG_RX_038 0x38 // REG_RX_038
#define REG_RX_039 0x39 // REG_RX_039
#define REG_RX_03A 0x3A // REG_RX_03A
#define REG_RX_03B 0x3B // REG_RX_03B
#define REG_RX_03C 0x3C // REG_RX_03C
#define REG_RX_03D 0x3D // REG_RX_03D
#define REG_RX_03E 0x3E // REG_RX_03E
#define REG_RX_03F 0x3F // REG_RX_03F
#define REG_RX_040 0x40 // REG_RX_040
#define REG_RX_041 0x41 // REG_RX_041
#define REG_RX_042 0x42 // REG_RX_042
#define REG_RX_043 0x43 // REG_RX_043
#define REG_RX_044 0x44 // REG_RX_044
#define REG_RX_045 0x45 // REG_RX_045
#define REG_RX_046 0x46 // REG_RX_046
#define REG_RX_047 0x47 // REG_RX_047
#define REG_RX_048 0x48 // REG_RX_048
#define REG_RX_049 0x49 // REG_RX_049
#define REG_RX_04A 0x4A // REG_RX_04A
#define REG_RX_04B 0x4B // REG_RX_04B
#define REG_RX_04C 0x4C // REG_RX_04C
#define REG_RX_04D 0x4D // REG_RX_04D
#define REG_RX_04E 0x4E // REG_RX_04E
#define REG_RX_04F 0x4F // REG_RX_04F
#define REG_RX_050 0x50 // REG_RX_050
#define REG_RX_051 0x51 // REG_RX_051
#define REG_RX_052 0x52 // REG_RX_052
#define REG_RX_053 0x53 // REG_RX_053
#define REG_RX_054 0x54 // REG_RX_054
#define REG_RX_055 0x55 // REG_RX_055
#define REG_RX_056 0x56 // REG_RX_056
#define REG_RX_057 0x57 // REG_RX_057
#define REG_RX_058 0x58 // REG_RX_058
#define REG_RX_059 0x59 // REG_RX_059
#define REG_RX_05A 0x5A // REG_RX_05A
#define REG_RX_05B 0x5B // REG_RX_05B
#define REG_RX_05C 0x5C // REG_RX_05C
#define REG_RX_05D 0x5D // REG_RX_05D
#define REG_RX_05E 0x5E // REG_RX_05E
#define REG_RX_05F 0x5F // REG_RX_05F
#define REG_RX_060 0x60 // REG_RX_060
#define REG_RX_061 0x61 // REG_RX_061
#define REG_RX_062 0x62 // REG_RX_062
#define REG_RX_063 0x63 // REG_RX_063
#define REG_RX_064 0x64 // REG_RX_064
#define REG_RX_065 0x65 // REG_RX_065
#define REG_RX_066 0x66 // REG_RX_066
#define REG_RX_067 0x67 // REG_RX_067
#define REG_RX_068 0x68 // REG_RX_068
#define REG_RX_069 0x69 // REG_RX_069
#define REG_RX_06A 0x6A // REG_RX_06A
#define REG_RX_06B 0x6B // REG_RX_06B
#define REG_RX_06C 0x6C // REG_RX_06C
#define REG_RX_06D 0x6D // REG_RX_06D
#define REG_RX_06E 0x6E // REG_RX_06E
#define REG_RX_06F 0x6F // REG_RX_06F
#define REG_RX_070 0x70 // REG_RX_070
#define REG_RX_071 0x71 // REG_RX_071
#define REG_RX_072 0x72 // REG_RX_072
#define REG_RX_073 0x73 // REG_RX_073
#define REG_RX_074 0x74 // REG_RX_074
#define REG_RX_075 0x75 // REG_RX_075
#define REG_RX_076 0x76 // REG_RX_076
#define REG_RX_077 0x77 // REG_RX_077
#define REG_RX_078 0x78 // REG_RX_078
#define REG_RX_079 0x79 // REG_RX_079
#define REG_RX_07A 0x7A // REG_RX_07A
#define REG_RX_07B 0x7B // REG_RX_07B
#define REG_RX_07C 0x7C // REG_RX_07C
#define REG_RX_07D 0x7D // REG_RX_07D
#define REG_RX_07E 0x7E // REG_RX_07E
#define REG_RX_07F 0x7F // REG_RX_07F
#define REG_RX_080 0x80 // REG_RX_080
#define REG_RX_081 0x81 // REG_RX_081
#define REG_RX_082 0x82 // REG_RX_082
#define REG_RX_083 0x83 // REG_RX_083
#define REG_RX_084 0x84 // REG_RX_084
#define REG_RX_085 0x85 // REG_RX_085
#define REG_RX_086 0x86 // REG_RX_086
#define REG_RX_087 0x87 // REG_RX_087
#define REG_RX_088 0x88 // REG_RX_088
#define REG_RX_089 0x89 // REG_RX_089
#define REG_RX_08A 0x8A // REG_RX_08A
#define REG_RX_08B 0x8B // REG_RX_08B
#define REG_RX_08C 0x8C // REG_RX_08C
#define REG_RX_08D 0x8D // REG_RX_08D
#define REG_RX_08E 0x8E // REG_RX_08E
#define REG_RX_08F 0x8F // REG_RX_08F
#define REG_RX_090 0x90 // REG_RX_090
#define REG_RX_091 0x91 // REG_RX_091
#define REG_RX_092 0x92 // REG_RX_092
#define REG_RX_093 0x93 // REG_RX_093
#define REG_RX_094 0x94 // REG_RX_094
#define REG_RX_095 0x95 // REG_RX_095
#define REG_RX_096 0x96 // REG_RX_096
#define REG_RX_097 0x97 // REG_RX_097
#define REG_RX_098 0x98 // REG_RX_098
#define REG_RX_099 0x99 // REG_RX_099
#define REG_RX_09A 0x9A // REG_RX_09A
#define REG_RX_09B 0x9B // REG_RX_09B
#define REG_RX_09C 0x9C // REG_RX_09C
#define REG_RX_09D 0x9D // REG_RX_09D
#define REG_RX_09E 0x9E // REG_RX_09E
#define REG_RX_09F 0x9F // REG_RX_09F
#define REG_RX_0A0 0xA0 // REG_RX_0A0
#define REG_RX_0A1 0xA1 // REG_RX_0A1
#define REG_RX_0A2 0xA2 // REG_RX_0A2
#define REG_RX_0A3 0xA3 // REG_RX_0A3
#define REG_RX_0A4 0xA4 // REG_RX_0A4
#define REG_RX_0A5 0xA5 // REG_RX_0A5
#define REG_RX_0A6 0xA6 // REG_RX_0A6
#define REG_RX_0A7 0xA7 // REG_RX_0A7
#define REG_RX_0A8 0xA8 // REG_RX_0A8
#define REG_RX_0A9 0xA9 // REG_RX_0A9
#define REG_RX_0AA 0xAA // REG_RX_0AA
#define REG_RX_0AB 0xAB // REG_RX_0AB
#define REG_RX_0AC 0xAC // REG_RX_0AC
#define REG_RX_0AD 0xAD // REG_RX_0AD
#define REG_RX_0AE 0xAE // REG_RX_0AE
#define REG_RX_0AF 0xAF // REG_RX_0AF
#define REG_RX_0BA 0xBA // REG_RX_0BA
#define REG_RX_0BB 0xBB // REG_RX_0BB
#define REG_RX_0BC 0xBC // REG_RX_0BC
#define REG_RX_0BD 0xBD // REG_RX_0BD
#define REG_RX_0BE 0xBE // REG_RX_0BE
#define REG_RX_0BF 0xBF // REG_RX_0BF
#define REG_RX_0B0 0xB0 // REG_RX_0B0
#define REG_RX_0B1 0xB1 // REG_RX_0B1
#define REG_RX_0B2 0xB2 // REG_RX_0B2
#define REG_RX_0B3 0xB3 // REG_RX_0B3
#define REG_RX_0B4 0xB4 // REG_RX_0B4
#define REG_RX_0B5 0xB5 // REG_RX_0B5
#define REG_RX_0B6 0xB6 // REG_RX_0B6
#define REG_RX_0B7 0xB7 // REG_RX_0B7
#define REG_RX_0B8 0xB8 // REG_RX_0B8
#define REG_RX_0B9 0xB9 // REG_RX_0B9
#define REG_RX_0BA 0xBA // REG_RX_0BA
#define REG_RX_0BB 0xBB // REG_RX_0BB
#define REG_RX_0BC 0xBC // REG_RX_0BC
#define REG_RX_0BD 0xBD // REG_RX_0BD
#define REG_RX_0BE 0xBE // REG_RX_0BE
#define REG_RX_0BF 0xBF // REG_RX_0BF
#define REG_RX_0BA 0xBA // REG_RX_0BA
#define REG_RX_0BB 0xBB // REG_RX_0BB
#define REG_RX_0BC 0xBC // REG_RX_0BC
#define REG_RX_0BD 0xBD // REG_RX_0BD
#define REG_RX_0BE 0xBE // REG_RX_0BE
#define REG_RX_0BF 0xBF // REG_RX_0BF
#define REG_RX_0C0 0xC0 // REG_RX_0C0
#define REG_RX_0C1 0xC1 // REG_RX_0C1
#define REG_RX_0C2 0xC2 // REG_RX_0C2
#define REG_RX_0C3 0xC3 // REG_RX_0C3
#define REG_RX_0C4 0xC4 // REG_RX_0C4
#define REG_RX_0C5 0xC5 // REG_RX_0C5
#define REG_RX_0C6 0xC6 // REG_RX_0C6
#define REG_RX_0C7 0xC7 // REG_RX_0C7
#define REG_RX_0C8 0xC8 // REG_RX_0C8
#define REG_RX_0C9 0xC9 // REG_RX_0C9
#define REG_RX_0CA 0xCA // REG_RX_0CA
#define REG_RX_0CB 0xCB // REG_RX_0CB
#define REG_RX_0CC 0xCC // REG_RX_0CC
#define REG_RX_0CD 0xCD // REG_RX_0CD
#define REG_RX_0CE 0xCE // REG_RX_0CE
#define REG_RX_0CF 0xCF // REG_RX_0CF
#define REG_RX_0CA 0xCA // REG_RX_0CA
#define REG_RX_0CB 0xCB // REG_RX_0CB
#define REG_RX_0CC 0xCC // REG_RX_0CC
#define REG_RX_0CD 0xCD // REG_RX_0CD
#define REG_RX_0CE 0xCE // REG_RX_0CE
#define REG_RX_0CF 0xCF // REG_RX_0CF
#define REG_RX_0D0 0xD0 // REG_RX_0D0
#define REG_RX_0D1 0xD1 // REG_RX_0D1
#define REG_RX_0D2 0xD2 // REG_RX_0D2
#define REG_RX_0D3 0xD3 // REG_RX_0D3
#define REG_RX_0D4 0xD4 // REG_RX_0D4
#define REG_RX_0D5 0xD5 // REG_RX_0D5
#define REG_RX_0D6 0xD6 // REG_RX_0D6
#define REG_RX_0D7 0xD7 // REG_RX_0D7
#define REG_RX_0D8 0xD8 // REG_RX_0D8
#define REG_RX_0D9 0xD9 // REG_RX_0D9
#define REG_RX_0DA 0xDA // REG_RX_0DA
#define REG_RX_0DB 0xDB // REG_RX_0DB
#define REG_RX_0DC 0xDC // REG_RX_0DC
#define REG_RX_0DD 0xDD // REG_RX_0DD
#define REG_RX_0DE 0xDE // REG_RX_0DE
#define REG_RX_0DF 0xDF // REG_RX_0DF
#define REG_RX_0DA 0xDA // REG_RX_0DA
#define REG_RX_0DB 0xDB // REG_RX_0DB
#define REG_RX_0DC 0xDC // REG_RX_0DC
#define REG_RX_0DD 0xDD // REG_RX_0DD
#define REG_RX_0DE 0xDE // REG_RX_0DE
#define REG_RX_0DF 0xDF // REG_RX_0DF
#define REG_RX_0E0 0xE0 // REG_RX_0E0
#define REG_RX_0E1 0xE1 // REG_RX_0E1
#define REG_RX_0E2 0xE2 // REG_RX_0E2
#define REG_RX_0E3 0xE3 // REG_RX_0E3
#define REG_RX_0E4 0xE4 // REG_RX_0E4
#define REG_RX_0E5 0xE5 // REG_RX_0E5
#define REG_RX_0E6 0xE6 // REG_RX_0E6
#define REG_RX_0E7 0xE7 // REG_RX_0E7
#define REG_RX_0E8 0xE8 // REG_RX_0E8
#define REG_RX_0E9 0xE9 // REG_RX_0E9
#define REG_RX_0EA 0xEA // REG_RX_0EA
#define REG_RX_0EB 0xEB // REG_RX_0EB
#define REG_RX_0EC 0xEC // REG_RX_0EC
#define REG_RX_0ED 0xED // REG_RX_0ED
#define REG_RX_0EE 0xEE // REG_RX_0EE
#define REG_RX_0EF 0xEF // REG_RX_0EF
#define REG_RX_0EA 0xEA // REG_RX_0EA
#define REG_RX_0EB 0xEB // REG_RX_0EB
#define REG_RX_0EC 0xEC // REG_RX_0EC
#define REG_RX_0ED 0xED // REG_RX_0ED
#define REG_RX_0EE 0xEE // REG_RX_0EE
#define REG_RX_0EF 0xEF // REG_RX_0EF
#define REG_RX_0F0 0xF0 // REG_RX_0F0
#define REG_RX_0F1 0xF1 // REG_RX_0F1
#define REG_RX_0F2 0xF2 // REG_RX_0F2
#define REG_RX_0F3 0xF3 // REG_RX_0F3
#define REG_RX_0F4 0xF4 // REG_RX_0F4
#define REG_RX_0F5 0xF5 // REG_RX_0F5
#define REG_RX_0F6 0xF6 // REG_RX_0F6
#define REG_RX_0F7 0xF7 // REG_RX_0F7
#define REG_RX_0F8 0xF8 // REG_RX_0F8
#define REG_RX_0F9 0xF9 // REG_RX_0F9
#define REG_RX_0FA 0xFA // REG_RX_0FA
#define REG_RX_0FB 0xFB // REG_RX_0FB
#define REG_RX_0FC 0xFC // REG_RX_0FC
#define REG_RX_0FD 0xFD // REG_RX_0FD
#define REG_RX_0FE 0xFE // REG_RX_0FE
#define REG_RX_0FF 0xFF // REG_RX_0FF
#define REG_RX_0FA 0xFA // REG_RX_0FA
#define REG_RX_0FB 0xFB // REG_RX_0FB
#define REG_RX_0FC 0xFC // REG_RX_0FC
#define REG_RX_0FD 0xFD // REG_RX_0FD
#define REG_RX_0FE 0xFE // REG_RX_0FE
#define REG_RX_0FF 0xFF // REG_RX_0FF
                        //
#define REG_RX_100 0x00 // REG_RX_100
#define REG_RX_101 0x01 // REG_RX_101
#define REG_RX_102 0x02 // REG_RX_102
#define REG_RX_103 0x03 // REG_RX_103
#define REG_RX_104 0x04 // REG_RX_104
#define REG_RX_105 0x05 // REG_RX_105
#define REG_RX_106 0x06 // REG_RX_106
#define REG_RX_107 0x07 // REG_RX_107
#define REG_RX_108 0x08 // REG_RX_108
#define REG_RX_109 0x09 // REG_RX_109
#define REG_RX_10A 0x0A // REG_RX_10A
#define REG_RX_10B 0x0B // REG_RX_10B
#define REG_RX_10C 0x0C // REG_RX_10C
#define REG_RX_10D 0x0D // REG_RX_10D
#define REG_RX_10E 0x0E // REG_RX_10E
#define REG_RX_10F 0x0F // REG_RX_10F
#define REG_RX_110 0x10 // REG_RX_110
#define REG_RX_111 0x11 // REG_RX_111
#define REG_RX_112 0x12 // REG_RX_112
#define REG_RX_113 0x13 // REG_RX_113
#define REG_RX_114 0x14 // REG_RX_114
#define REG_RX_115 0x15 // REG_RX_115
#define REG_RX_116 0x16 // REG_RX_116
#define REG_RX_117 0x17 // REG_RX_117
#define REG_RX_118 0x18 // REG_RX_118
#define REG_RX_119 0x19 // REG_RX_119
#define REG_RX_11A 0x1A // REG_RX_11A
#define REG_RX_11B 0x1B // REG_RX_11B
#define REG_RX_11C 0x1C // REG_RX_11C
#define REG_RX_11D 0x1D // REG_RX_11D
#define REG_RX_11E 0x1E // REG_RX_11E
#define REG_RX_11F 0x1F // REG_RX_11F
#define REG_RX_120 0x20 // REG_RX_120
#define REG_RX_121 0x21 // REG_RX_121
#define REG_RX_122 0x22 // REG_RX_122
#define REG_RX_123 0x23 // REG_RX_123
#define REG_RX_124 0x24 // REG_RX_124
#define REG_RX_125 0x25 // REG_RX_125
#define REG_RX_126 0x26 // REG_RX_126
#define REG_RX_127 0x27 // REG_RX_127
#define REG_RX_128 0x28 // REG_RX_128
#define REG_RX_129 0x29 // REG_RX_129
#define REG_RX_12A 0x2A // REG_RX_12A
#define REG_RX_12B 0x2B // REG_RX_12B
#define REG_RX_12C 0x2C // REG_RX_12C
#define REG_RX_12D 0x2D // REG_RX_12D
#define REG_RX_12E 0x2E // REG_RX_12E
#define REG_RX_12F 0x2F // REG_RX_12F
#define REG_RX_130 0x30 // REG_RX_130
#define REG_RX_131 0x31 // REG_RX_131
#define REG_RX_132 0x32 // REG_RX_132
#define REG_RX_133 0x33 // REG_RX_133
#define REG_RX_134 0x34 // REG_RX_134
#define REG_RX_135 0x35 // REG_RX_135
#define REG_RX_136 0x36 // REG_RX_136
#define REG_RX_137 0x37 // REG_RX_137
#define REG_RX_138 0x38 // REG_RX_138
#define REG_RX_139 0x39 // REG_RX_139
#define REG_RX_13A 0x3A // REG_RX_13A
#define REG_RX_13B 0x3B // REG_RX_13B
#define REG_RX_13C 0x3C // REG_RX_13C
#define REG_RX_13D 0x3D // REG_RX_13D
#define REG_RX_13E 0x3E // REG_RX_13E
#define REG_RX_13F 0x3F // REG_RX_13F
#define REG_RX_140 0x40 // REG_RX_140
#define REG_RX_141 0x41 // REG_RX_141
#define REG_RX_142 0x42 // REG_RX_142
#define REG_RX_143 0x43 // REG_RX_143
#define REG_RX_144 0x44 // REG_RX_144
#define REG_RX_145 0x45 // REG_RX_145
#define REG_RX_146 0x46 // REG_RX_146
#define REG_RX_147 0x47 // REG_RX_147
#define REG_RX_148 0x48 // REG_RX_148
#define REG_RX_149 0x49 // REG_RX_149
#define REG_RX_14A 0x4A // REG_RX_14A
#define REG_RX_14B 0x4B // REG_RX_14B
#define REG_RX_14C 0x4C // REG_RX_14C
#define REG_RX_14D 0x4D // REG_RX_14D
#define REG_RX_14E 0x4E // REG_RX_14E
#define REG_RX_14F 0x4F // REG_RX_14F
#define REG_RX_150 0x50 // REG_RX_150
#define REG_RX_151 0x51 // REG_RX_151
#define REG_RX_152 0x52 // REG_RX_152
#define REG_RX_153 0x53 // REG_RX_153
#define REG_RX_154 0x54 // REG_RX_154
#define REG_RX_155 0x55 // REG_RX_155
#define REG_RX_156 0x56 // REG_RX_156
#define REG_RX_157 0x57 // REG_RX_157
#define REG_RX_158 0x58 // REG_RX_158
#define REG_RX_159 0x59 // REG_RX_159
#define REG_RX_15A 0x5A // REG_RX_15A
#define REG_RX_15B 0x5B // REG_RX_15B
#define REG_RX_15C 0x5C // REG_RX_15C
#define REG_RX_15D 0x5D // REG_RX_15D
#define REG_RX_15E 0x5E // REG_RX_15E
#define REG_RX_15F 0x5F // REG_RX_15F
#define REG_RX_160 0x60 // REG_RX_160
#define REG_RX_161 0x61 // REG_RX_161
#define REG_RX_162 0x62 // REG_RX_162
#define REG_RX_163 0x63 // REG_RX_163
#define REG_RX_164 0x64 // REG_RX_164
#define REG_RX_165 0x65 // REG_RX_165
#define REG_RX_166 0x66 // REG_RX_166
#define REG_RX_167 0x67 // REG_RX_167
#define REG_RX_168 0x68 // REG_RX_168
#define REG_RX_169 0x69 // REG_RX_169
#define REG_RX_16A 0x6A // REG_RX_16A
#define REG_RX_16B 0x6B // REG_RX_16B
#define REG_RX_16C 0x6C // REG_RX_16C
#define REG_RX_16D 0x6D // REG_RX_16D
#define REG_RX_16E 0x6E // REG_RX_16E
#define REG_RX_16F 0x6F // REG_RX_16F


#define REG_RX_170 0x70 // REG_RX_170
#define REG_RX_171 0x71 // REG_RX_171
#define REG_RX_172 0x72 // REG_RX_172
#define REG_RX_173 0x73 // REG_RX_173
#define REG_RX_174 0x74 // REG_RX_174
#define REG_RX_175 0x75 // REG_RX_175
#define REG_RX_176 0x76 // REG_RX_176
#define REG_RX_177 0x77 // REG_RX_177
#define REG_RX_178 0x78 // REG_RX_178
#define REG_RX_179 0x79 // REG_RX_179
#define REG_RX_17A 0x7A // REG_RX_17A
#define REG_RX_17B 0x7B // REG_RX_17B
#define REG_RX_17C 0x7C // REG_RX_17C
#define REG_RX_17D 0x7D // REG_RX_17D
#define REG_RX_17E 0x7E // REG_RX_17E
#define REG_RX_17F 0x7F // REG_RX_17F
#define REG_RX_180 0x80 // REG_RX_180
#define REG_RX_181 0x81 // REG_RX_181
#define REG_RX_182 0x82 // REG_RX_182
#define REG_RX_183 0x83 // REG_RX_183
#define REG_RX_184 0x84 // REG_RX_184

#define REG_RX_185 0x85 // REG_RX_185
#define REG_RX_186 0x86 // REG_RX_186
#define REG_RX_187 0x87 // REG_RX_187
#define REG_RX_188 0x88 // REG_RX_188
#define REG_RX_189 0x89 // REG_RX_189
#define REG_RX_18A 0x8A // REG_RX_18A
#define REG_RX_18B 0x8B // REG_RX_18B
#define REG_RX_18C 0x8C // REG_RX_18C
#define REG_RX_18D 0x8D // REG_RX_18D
#define REG_RX_18E 0x8E // REG_RX_18E
#define REG_RX_18F 0x8F // REG_RX_18F
#define REG_RX_190 0x90 // REG_RX_190
#define REG_RX_191 0x91 // REG_RX_191
#define REG_RX_192 0x92 // REG_RX_192
#define REG_RX_193 0x93 // REG_RX_193
#define REG_RX_194 0x94 // REG_RX_194
#define REG_RX_195 0x95 // REG_RX_195
#define REG_RX_196 0x96 // REG_RX_196
#define REG_RX_197 0x97 // REG_RX_197
#define REG_RX_198 0x98 // REG_RX_198
#define REG_RX_199 0x99 // REG_RX_199
#define REG_RX_19A 0x9A // REG_RX_19A
#define REG_RX_19B 0x9B // REG_RX_19B
#define REG_RX_19C 0x9C // REG_RX_19C
#define REG_RX_19D 0x9D // REG_RX_19D
#define REG_RX_19E 0x9E // REG_RX_19E
#define REG_RX_19F 0x9F // REG_RX_19F
#define REG_RX_1A0 0xA0 // REG_RX_1A0
#define REG_RX_1A1 0xA1 // REG_RX_1A1
#define REG_RX_1A2 0xA2 // REG_RX_1A2
#define REG_RX_1A3 0xA3 // REG_RX_1A3
#define REG_RX_1A4 0xA4 // REG_RX_1A4
#define REG_RX_1A5 0xA5 // REG_RX_1A5
#define REG_RX_1A6 0xA6 // REG_RX_1A6
#define REG_RX_1A7 0xA7 // REG_RX_1A7
#define REG_RX_1A8 0xA8 // REG_RX_1A8
#define REG_RX_1A9 0xA9 // REG_RX_1A9
#define REG_RX_1AA 0xAA // REG_RX_1AA
#define REG_RX_1AB 0xAB // REG_RX_1AB
#define REG_RX_1AC 0xAC // REG_RX_1AC
#define REG_RX_1AD 0xAD // REG_RX_1AD
#define REG_RX_1AE 0xAE // REG_RX_1AE
#define REG_RX_1AF 0xAF // REG_RX_1AF
#define REG_RX_1BA 0xBA // REG_RX_1BA
#define REG_RX_1BB 0xBB // REG_RX_1BB
#define REG_RX_1BC 0xBC // REG_RX_1BC
#define REG_RX_1BD 0xBD // REG_RX_1BD
#define REG_RX_1BE 0xBE // REG_RX_1BE
#define REG_RX_1BF 0xBF // REG_RX_1BF
#define REG_RX_1B0 0xB0 // REG_RX_1B0
#define REG_RX_1B1 0xB1 // REG_RX_1B1
#define REG_RX_1B2 0xB2 // REG_RX_1B2
#define REG_RX_1B3 0xB3 // REG_RX_1B3
#define REG_RX_1B4 0xB4 // REG_RX_1B4
#define REG_RX_1B5 0xB5 // REG_RX_1B5
#define REG_RX_1B6 0xB6 // REG_RX_1B6
#define REG_RX_1B7 0xB7 // REG_RX_1B7
#define REG_RX_1B8 0xB8 // REG_RX_1B8
#define REG_RX_1B9 0xB9 // REG_RX_1B9
#define REG_RX_1BA 0xBA // REG_RX_1BA
#define REG_RX_1BB 0xBB // REG_RX_1BB
#define REG_RX_1BC 0xBC // REG_RX_1BC
#define REG_RX_1BD 0xBD // REG_RX_1BD
#define REG_RX_1BE 0xBE // REG_RX_1BE
#define REG_RX_1BF 0xBF // REG_RX_1BF
#define REG_RX_1BA 0xBA // REG_RX_1BA
#define REG_RX_1BB 0xBB // REG_RX_1BB
#define REG_RX_1BC 0xBC // REG_RX_1BC
#define REG_RX_1BD 0xBD // REG_RX_1BD
#define REG_RX_1BE 0xBE // REG_RX_1BE
#define REG_RX_1BF 0xBF // REG_RX_1BF
#define REG_RX_1C0 0xC0 // REG_RX_1C0
#define REG_RX_1C1 0xC1 // REG_RX_1C1
#define REG_RX_1C2 0xC2 // REG_RX_1C2
#define REG_RX_1C3 0xC3 // REG_RX_1C3
#define REG_RX_1C4 0xC4 // REG_RX_1C4
#define REG_RX_1C5 0xC5 // REG_RX_1C5
#define REG_RX_1C6 0xC6 // REG_RX_1C6
#define REG_RX_1C7 0xC7 // REG_RX_1C7
#define REG_RX_1C8 0xC8 // REG_RX_1C8
#define REG_RX_1C9 0xC9 // REG_RX_1C9
#define REG_RX_1CA 0xCA // REG_RX_1CA
#define REG_RX_1CB 0xCB // REG_RX_1CB
#define REG_RX_1CC 0xCC // REG_RX_1CC
#define REG_RX_1CD 0xCD // REG_RX_1CD
#define REG_RX_1CE 0xCE // REG_RX_1CE
#define REG_RX_1CF 0xCF // REG_RX_1CF
#define REG_RX_1CA 0xCA // REG_RX_1CA
#define REG_RX_1CB 0xCB // REG_RX_1CB
#define REG_RX_1CC 0xCC // REG_RX_1CC
#define REG_RX_1CD 0xCD // REG_RX_1CD
#define REG_RX_1CE 0xCE // REG_RX_1CE
#define REG_RX_1CF 0xCF // REG_RX_1CF
#define REG_RX_1D0 0xD0 // REG_RX_1D0
#define REG_RX_1D1 0xD1 // REG_RX_1D1
#define REG_RX_1D2 0xD2 // REG_RX_1D2
#define REG_RX_1D3 0xD3 // REG_RX_1D3
#define REG_RX_1D4 0xD4 // REG_RX_1D4
#define REG_RX_1D5 0xD5 // REG_RX_1D5
#define REG_RX_1D6 0xD6 // REG_RX_1D6
#define REG_RX_1D7 0xD7 // REG_RX_1D7
#define REG_RX_1D8 0xD8 // REG_RX_1D8
#define REG_RX_1D9 0xD9 // REG_RX_1D9
#define REG_RX_1DA 0xDA // REG_RX_1DA
#define REG_RX_1DB 0xDB // REG_RX_1DB
#define REG_RX_1DC 0xDC // REG_RX_1DC
#define REG_RX_1DD 0xDD // REG_RX_1DD
#define REG_RX_1DE 0xDE // REG_RX_1DE
#define REG_RX_1DF 0xDF // REG_RX_1DF
#define REG_RX_1DA 0xDA // REG_RX_1DA
#define REG_RX_1DB 0xDB // REG_RX_1DB
#define REG_RX_1DC 0xDC // REG_RX_1DC
#define REG_RX_1DD 0xDD // REG_RX_1DD
#define REG_RX_1DE 0xDE // REG_RX_1DE
#define REG_RX_1DF 0xDF // REG_RX_1DF
#define REG_RX_1E0 0xE0 // REG_RX_1E0
#define REG_RX_1E1 0xE1 // REG_RX_1E1
#define REG_RX_1E2 0xE2 // REG_RX_1E2
#define REG_RX_1E3 0xE3 // REG_RX_1E3
#define REG_RX_1E4 0xE4 // REG_RX_1E4
#define REG_RX_1E5 0xE5 // REG_RX_1E5
#define REG_RX_1E6 0xE6 // REG_RX_1E6
#define REG_RX_1E7 0xE7 // REG_RX_1E7
#define REG_RX_1E8 0xE8 // REG_RX_1E8
#define REG_RX_1E9 0xE9 // REG_RX_1E9
#define REG_RX_1EA 0xEA // REG_RX_1EA
#define REG_RX_1EB 0xEB // REG_RX_1EB
#define REG_RX_1EC 0xEC // REG_RX_1EC
#define REG_RX_1ED 0xED // REG_RX_1ED
#define REG_RX_1EE 0xEE // REG_RX_1EE
#define REG_RX_1EF 0xEF // REG_RX_1EF
#define REG_RX_1EA 0xEA // REG_RX_1EA
#define REG_RX_1EB 0xEB // REG_RX_1EB
#define REG_RX_1EC 0xEC // REG_RX_1EC
#define REG_RX_1ED 0xED // REG_RX_1ED
#define REG_RX_1EE 0xEE // REG_RX_1EE
#define REG_RX_1EF 0xEF // REG_RX_1EF
#define REG_RX_1F0 0xF0 // REG_RX_1F0
#define REG_RX_1F1 0xF1 // REG_RX_1F1
#define REG_RX_1F2 0xF2 // REG_RX_1F2
#define REG_RX_1F3 0xF3 // REG_RX_1F3
#define REG_RX_1F4 0xF4 // REG_RX_1F4
#define REG_RX_1F5 0xF5 // REG_RX_1F5
#define REG_RX_1F6 0xF6 // REG_RX_1F6
#define REG_RX_1F7 0xF7 // REG_RX_1F7
#define REG_RX_1F8 0xF8 // REG_RX_1F8
#define REG_RX_1F9 0xF9 // REG_RX_1F9
#define REG_RX_1FA 0xFA // REG_RX_1FA
#define REG_RX_1FB 0xFB // REG_RX_1FB
#define REG_RX_1FC 0xFC // REG_RX_1FC
#define REG_RX_1FD 0xFD // REG_RX_1FD
#define REG_RX_1FE 0xFE // REG_RX_1FE
#define REG_RX_1FF 0xFF // REG_RX_1FF
#define REG_RX_1FA 0xFA // REG_RX_1FA
#define REG_RX_1FB 0xFB // REG_RX_1FB
#define REG_RX_1FC 0xFC // REG_RX_1FC
#define REG_RX_1FD 0xFD // REG_RX_1FD
#define REG_RX_1FE 0xFE // REG_RX_1FE
#define REG_RX_1FF 0xFF // REG_RX_1FF
                        //
#define REG_RX_200 0x00 // REG_RX_200
#define REG_RX_201 0x01 // REG_RX_201
#define REG_RX_202 0x02 // REG_RX_202
#define REG_RX_203 0x03 // REG_RX_203
#define REG_RX_204 0x04 // REG_RX_204
#define REG_RX_205 0x05 // REG_RX_205
#define REG_RX_206 0x06 // REG_RX_206
#define REG_RX_207 0x07 // REG_RX_207
#define REG_RX_208 0x08 // REG_RX_208
#define REG_RX_209 0x09 // REG_RX_209
#define REG_RX_20A 0x0A // REG_RX_20A
#define REG_RX_20B 0x0B // REG_RX_20B
#define REG_RX_20C 0x0C // REG_RX_20C
#define REG_RX_20D 0x0D // REG_RX_20D
#define REG_RX_20E 0x0E // REG_RX_20E
#define REG_RX_20F 0x0F // REG_RX_20F
#define REG_RX_210 0x10 // REG_RX_210
#define REG_RX_211 0x11 // REG_RX_211
#define REG_RX_212 0x12 // REG_RX_212
#define REG_RX_213 0x13 // REG_RX_213
#define REG_RX_214 0x14 // REG_RX_214
#define REG_RX_215 0x15 // REG_RX_215
#define REG_RX_215 0x15 // REG_RX_215
#define REG_RX_216 0x16 // REG_RX_216
#define REG_RX_217 0x17 // REG_RX_217
#define REG_RX_218 0x18 // REG_RX_218
#define REG_RX_219 0x19 // REG_RX_219
#define REG_RX_21A 0x1A // REG_RX_21A
#define REG_RX_21B 0x1B // REG_RX_21B
#define REG_RX_21C 0x1C // REG_RX_21C
#define REG_RX_21D 0x1D // REG_RX_21D
#define REG_RX_21E 0x1E // REG_RX_21E
#define REG_RX_21F 0x1F // REG_RX_21F
#define REG_RX_220 0x20 // REG_RX_220
#define REG_RX_221 0x21 // REG_RX_221
#define REG_RX_222 0x22 // REG_RX_222
#define REG_RX_223 0x23 // REG_RX_223
#define REG_RX_224 0x24 // REG_RX_224
#define REG_RX_225 0x25 // REG_RX_225
#define REG_RX_226 0x26 // REG_RX_226
#define REG_RX_227 0x27 // REG_RX_227
#define REG_RX_228 0x28 // REG_RX_228
#define REG_RX_229 0x29 // REG_RX_229
#define REG_RX_22A 0x2A // REG_RX_22A
#define REG_RX_22B 0x2B // REG_RX_22B
#define REG_RX_22C 0x2C // REG_RX_22C
#define REG_RX_22D 0x2D // REG_RX_22D
#define REG_RX_22E 0x2E // REG_RX_22E
#define REG_RX_22F 0x2F // REG_RX_22F
#define REG_RX_230 0x30 // REG_RX_230
#define REG_RX_231 0x31 // REG_RX_231
#define REG_RX_232 0x32 // REG_RX_232
#define REG_RX_233 0x33 // REG_RX_233
#define REG_RX_234 0x34 // REG_RX_234
#define REG_RX_235 0x35 // REG_RX_235
#define REG_RX_236 0x36 // REG_RX_236
#define REG_RX_237 0x37 // REG_RX_237
#define REG_RX_238 0x38 // REG_RX_238
#define REG_RX_239 0x39 // REG_RX_239
#define REG_RX_23A 0x3A // REG_RX_23A
#define REG_RX_23B 0x3B // REG_RX_23B
#define REG_RX_23C 0x3C // REG_RX_23C
#define REG_RX_23D 0x3D // REG_RX_23D
#define REG_RX_23E 0x3E // REG_RX_23E
#define REG_RX_23F 0x3F // REG_RX_23F
#define REG_RX_240 0x40 // REG_RX_240
#define REG_RX_241 0x41 // REG_RX_241
#define REG_RX_242 0x42 // REG_RX_242
#define REG_RX_243 0x43 // REG_RX_243
#define REG_RX_244 0x44 // REG_RX_244
#define REG_RX_245 0x45 // REG_RX_245
#define REG_RX_246 0x46 // REG_RX_246
#define REG_RX_247 0x47 // REG_RX_247
#define REG_RX_248 0x48 // REG_RX_248
#define REG_RX_249 0x49 // REG_RX_249
#define REG_RX_24A 0x4A // REG_RX_24A
#define REG_RX_24B 0x4B // REG_RX_24B
#define REG_RX_24C 0x4C // REG_RX_24C
#define REG_RX_24D 0x4D // REG_RX_24D
#define REG_RX_24E 0x4E // REG_RX_24E
#define REG_RX_24F 0x4F // REG_RX_24F
#define REG_RX_250 0x50 // REG_RX_250
#define REG_RX_251 0x51 // REG_RX_251
#define REG_RX_252 0x52 // REG_RX_252
#define REG_RX_253 0x53 // REG_RX_253
#define REG_RX_254 0x54 // REG_RX_254
#define REG_RX_255 0x55 // REG_RX_255
#define REG_RX_256 0x56 // REG_RX_256
#define REG_RX_257 0x57 // REG_RX_257
#define REG_RX_258 0x58 // REG_RX_258
#define REG_RX_259 0x59 // REG_RX_259
#define REG_RX_25A 0x5A // REG_RX_25A
#define REG_RX_25B 0x5B // REG_RX_25B
#define REG_RX_25C 0x5C // REG_RX_25C
#define REG_RX_25D 0x5D // REG_RX_25D
#define REG_RX_25E 0x5E // REG_RX_25E
#define REG_RX_25F 0x5F // REG_RX_25F
#define REG_RX_260 0x60 // REG_RX_260
#define REG_RX_261 0x61 // REG_RX_261
#define REG_RX_262 0x62 // REG_RX_262
#define REG_RX_263 0x63 // REG_RX_263
#define REG_RX_264 0x64 // REG_RX_264
#define REG_RX_265 0x65 // REG_RX_265
#define REG_RX_266 0x66 // REG_RX_266
#define REG_RX_267 0x67 // REG_RX_267
#define REG_RX_268 0x68 // REG_RX_268
#define REG_RX_269 0x69 // REG_RX_269
#define REG_RX_26A 0x6A // REG_RX_26A
#define REG_RX_26B 0x6B // REG_RX_26B
#define REG_RX_26C 0x6C // REG_RX_26C
#define REG_RX_26D 0x6D // REG_RX_26D
#define REG_RX_26E 0x6E // REG_RX_26E
#define REG_RX_26F 0x6F // REG_RX_26F
#define REG_RX_270 0x70 // REG_RX_270
#define REG_RX_271 0x71 // REG_RX_271
#define REG_RX_272 0x72 // REG_RX_272
#define REG_RX_273 0x73 // REG_RX_273
#define REG_RX_274 0x74 // REG_RX_274
#define REG_RX_275 0x75 // REG_RX_275
#define REG_RX_276 0x76 // REG_RX_276
#define REG_RX_277 0x77 // REG_RX_277
#define REG_RX_278 0x78 // REG_RX_278
#define REG_RX_279 0x79 // REG_RX_279
#define REG_RX_27A 0x7A // REG_RX_27A
#define REG_RX_27B 0x7B // REG_RX_27B
#define REG_RX_27C 0x7C // REG_RX_27C
#define REG_RX_27D 0x7D // REG_RX_27D
#define REG_RX_27E 0x7E // REG_RX_27E
#define REG_RX_27F 0x7F // REG_RX_27F
#define REG_RX_280 0x80 // REG_RX_280
#define REG_RX_281 0x81 // REG_RX_281
#define REG_RX_282 0x82 // REG_RX_282
#define REG_RX_283 0x83 // REG_RX_283
#define REG_RX_284 0x84 // REG_RX_284
#define REG_RX_285 0x85 // REG_RX_285
#define REG_RX_286 0x86 // REG_RX_286
#define REG_RX_287 0x87 // REG_RX_287
#define REG_RX_288 0x88 // REG_RX_288
#define REG_RX_289 0x89 // REG_RX_289
#define REG_RX_28A 0x8A // REG_RX_28A
#define REG_RX_28B 0x8B // REG_RX_28B
#define REG_RX_28C 0x8C // REG_RX_28C
#define REG_RX_28D 0x8D // REG_RX_28D
#define REG_RX_28E 0x8E // REG_RX_28E
#define REG_RX_28F 0x8F // REG_RX_28F
#define REG_RX_290 0x90 // REG_RX_290
#define REG_RX_291 0x91 // REG_RX_291
#define REG_RX_292 0x92 // REG_RX_292
#define REG_RX_293 0x93 // REG_RX_293
#define REG_RX_294 0x94 // REG_RX_294
#define REG_RX_295 0x95 // REG_RX_295
#define REG_RX_296 0x96 // REG_RX_296
#define REG_RX_297 0x97 // REG_RX_297
#define REG_RX_298 0x98 // REG_RX_298
#define REG_RX_299 0x99 // REG_RX_299
#define REG_RX_29A 0x9A // REG_RX_29A
#define REG_RX_29B 0x9B // REG_RX_29B
#define REG_RX_29C 0x9C // REG_RX_29C
#define REG_RX_29D 0x9D // REG_RX_29D
#define REG_RX_29E 0x9E // REG_RX_29E
#define REG_RX_29F 0x9F // REG_RX_29F
#define REG_RX_2A0 0xA0 // REG_RX_2A0
#define REG_RX_2A1 0xA1 // REG_RX_2A1
#define REG_RX_2A2 0xA2 // REG_RX_2A2
#define REG_RX_2A3 0xA3 // REG_RX_2A3
#define REG_RX_2A4 0xA4 // REG_RX_2A4
#define REG_RX_2A5 0xA5 // REG_RX_2A5
#define REG_RX_2A6 0xA6 // REG_RX_2A6
#define REG_RX_2A7 0xA7 // REG_RX_2A7
#define REG_RX_2A8 0xA8 // REG_RX_2A8
#define REG_RX_2A9 0xA9 // REG_RX_2A9
#define REG_RX_2AA 0xAA // REG_RX_2AA
#define REG_RX_2AB 0xAB // REG_RX_2AB
#define REG_RX_2AC 0xAC // REG_RX_2AC
#define REG_RX_2AD 0xAD // REG_RX_2AD
#define REG_RX_2AE 0xAE // REG_RX_2AE
#define REG_RX_2AF 0xAF // REG_RX_2AF
#define REG_RX_2BA 0xBA // REG_RX_2BA
#define REG_RX_2BB 0xBB // REG_RX_2BB
#define REG_RX_2BC 0xBC // REG_RX_2BC
#define REG_RX_2BD 0xBD // REG_RX_2BD
#define REG_RX_2BE 0xBE // REG_RX_2BE
#define REG_RX_2BF 0xBF // REG_RX_2BF
#define REG_RX_2B0 0xB0 // REG_RX_2B0
#define REG_RX_2B1 0xB1 // REG_RX_2B1
#define REG_RX_2B2 0xB2 // REG_RX_2B2
#define REG_RX_2B3 0xB3 // REG_RX_2B3
#define REG_RX_2B4 0xB4 // REG_RX_2B4
#define REG_RX_2B5 0xB5 // REG_RX_2B5
#define REG_RX_2B6 0xB6 // REG_RX_2B6
#define REG_RX_2B7 0xB7 // REG_RX_2B7
#define REG_RX_2B8 0xB8 // REG_RX_2B8
#define REG_RX_2B9 0xB9 // REG_RX_2B9
#define REG_RX_2BA 0xBA // REG_RX_2BA
#define REG_RX_2BB 0xBB // REG_RX_2BB
#define REG_RX_2BC 0xBC // REG_RX_2BC
#define REG_RX_2BD 0xBD // REG_RX_2BD
#define REG_RX_2BE 0xBE // REG_RX_2BE
#define REG_RX_2BF 0xBF // REG_RX_2BF
#define REG_RX_2BA 0xBA // REG_RX_2BA
#define REG_RX_2BB 0xBB // REG_RX_2BB
#define REG_RX_2BC 0xBC // REG_RX_2BC
#define REG_RX_2BD 0xBD // REG_RX_2BD
#define REG_RX_2BE 0xBE // REG_RX_2BE
#define REG_RX_2BF 0xBF // REG_RX_2BF
#define REG_RX_2C0 0xC0 // REG_RX_2C0
#define REG_RX_2C1 0xC1 // REG_RX_2C1
#define REG_RX_2C2 0xC2 // REG_RX_2C2
#define REG_RX_2C3 0xC3 // REG_RX_2C3
#define REG_RX_2C4 0xC4 // REG_RX_2C4
#define REG_RX_2C5 0xC5 // REG_RX_2C5
#define REG_RX_2C6 0xC6 // REG_RX_2C6
#define REG_RX_2C7 0xC7 // REG_RX_2C7
#define REG_RX_2C8 0xC8 // REG_RX_2C8
#define REG_RX_2C9 0xC9 // REG_RX_2C9
#define REG_RX_2CA 0xCA // REG_RX_2CA
#define REG_RX_2CB 0xCB // REG_RX_2CB
#define REG_RX_2CC 0xCC // REG_RX_2CC
#define REG_RX_2CD 0xCD // REG_RX_2CD
#define REG_RX_2CE 0xCE // REG_RX_2CE
#define REG_RX_2CF 0xCF // REG_RX_2CF
#define REG_RX_2CA 0xCA // REG_RX_2CA
#define REG_RX_2CB 0xCB // REG_RX_2CB
#define REG_RX_2CC 0xCC // REG_RX_2CC
#define REG_RX_2CD 0xCD // REG_RX_2CD
#define REG_RX_2CE 0xCE // REG_RX_2CE
#define REG_RX_2CF 0xCF // REG_RX_2CF
#define REG_RX_2D0 0xD0 // REG_RX_2D0
#define REG_RX_2D1 0xD1 // REG_RX_2D1
#define REG_RX_2D2 0xD2 // REG_RX_2D2
#define REG_RX_2D3 0xD3 // REG_RX_2D3
#define REG_RX_2D4 0xD4 // REG_RX_2D4
#define REG_RX_2D5 0xD5 // REG_RX_2D5
#define REG_RX_2D6 0xD6 // REG_RX_2D6
#define REG_RX_2D7 0xD7 // REG_RX_2D7
#define REG_RX_2D8 0xD8 // REG_RX_2D8
#define REG_RX_2D9 0xD9 // REG_RX_2D9
#define REG_RX_2DA 0xDA // REG_RX_2DA
#define REG_RX_2DB 0xDB // REG_RX_2DB
#define REG_RX_2DC 0xDC // REG_RX_2DC
#define REG_RX_2DD 0xDD // REG_RX_2DD
#define REG_RX_2DE 0xDE // REG_RX_2DE
#define REG_RX_2DF 0xDF // REG_RX_2DF
#define REG_RX_2DA 0xDA // REG_RX_2DA
#define REG_RX_2DB 0xDB // REG_RX_2DB
#define REG_RX_2DC 0xDC // REG_RX_2DC
#define REG_RX_2DD 0xDD // REG_RX_2DD
#define REG_RX_2DE 0xDE // REG_RX_2DE
#define REG_RX_2DF 0xDF // REG_RX_2DF
#define REG_RX_2E0 0xE0 // REG_RX_2E0
#define REG_RX_2E1 0xE1 // REG_RX_2E1
#define REG_RX_2E2 0xE2 // REG_RX_2E2
#define REG_RX_2E3 0xE3 // REG_RX_2E3
#define REG_RX_2E4 0xE4 // REG_RX_2E4
#define REG_RX_2E5 0xE5 // REG_RX_2E5
#define REG_RX_2E6 0xE6 // REG_RX_2E6
#define REG_RX_2E7 0xE7 // REG_RX_2E7
#define REG_RX_2E8 0xE8 // REG_RX_2E8
#define REG_RX_2E9 0xE9 // REG_RX_2E9
#define REG_RX_2EA 0xEA // REG_RX_2EA
#define REG_RX_2EB 0xEB // REG_RX_2EB
#define REG_RX_2EC 0xEC // REG_RX_2EC
#define REG_RX_2ED 0xED // REG_RX_2ED
#define REG_RX_2EE 0xEE // REG_RX_2EE
#define REG_RX_2EF 0xEF // REG_RX_2EF
#define REG_RX_2EA 0xEA // REG_RX_2EA
#define REG_RX_2EB 0xEB // REG_RX_2EB
#define REG_RX_2EC 0xEC // REG_RX_2EC
#define REG_RX_2ED 0xED // REG_RX_2ED
#define REG_RX_2EE 0xEE // REG_RX_2EE
#define REG_RX_2EF 0xEF // REG_RX_2EF
#define REG_RX_2F0 0xF0 // REG_RX_2F0
#define REG_RX_2F1 0xF1 // REG_RX_2F1
#define REG_RX_2F2 0xF2 // REG_RX_2F2
#define REG_RX_2F3 0xF3 // REG_RX_2F3
#define REG_RX_2F4 0xF4 // REG_RX_2F4
#define REG_RX_2F5 0xF5 // REG_RX_2F5
#define REG_RX_2F6 0xF6 // REG_RX_2F6
#define REG_RX_2F7 0xF7 // REG_RX_2F7
#define REG_RX_2F8 0xF8 // REG_RX_2F8
#define REG_RX_2F9 0xF9 // REG_RX_2F9
#define REG_RX_2FA 0xFA // REG_RX_2FA
#define REG_RX_2FB 0xFB // REG_RX_2FB
#define REG_RX_2FC 0xFC // REG_RX_2FC
#define REG_RX_2FD 0xFD // REG_RX_2FD
#define REG_RX_2FE 0xFE // REG_RX_2FE
#define REG_RX_2FF 0xFF // REG_RX_2FF
#define REG_RX_2FA 0xFA // REG_RX_2FA
#define REG_RX_2FB 0xFB // REG_RX_2FB
#define REG_RX_2FC 0xFC // REG_RX_2FC
#define REG_RX_2FD 0xFD // REG_RX_2FD
#define REG_RX_2FE 0xFE // REG_RX_2FE
#define REG_RX_2FF 0xFF // REG_RX_2FF

#define MHL_RX_00 0x00	//MHL_RX_00
#define MHL_RX_01 0x01	//MHL_RX_01
#define MHL_RX_02 0x02	//MHL_RX_02
#define MHL_RX_03 0x03	//MHL_RX_03
#define MHL_RX_04 0x04	//MHL_RX_04
#define MHL_RX_05 0x05	//MHL_RX_05
#define MHL_RX_06 0x06	//MHL_RX_06
#define MHL_RX_07 0x07	//MHL_RX_07
#define MHL_RX_08 0x08	//MHL_RX_08
#define MHL_RX_09 0x09	//MHL_RX_09
#define MHL_RX_0A 0x0A	//MHL_RX_0A
#define MHL_RX_0B 0x0B	//MHL_RX_0B
#define MHL_RX_0C 0x0C	//MHL_RX_0C
#define MHL_RX_0D 0x0D	//MHL_RX_0D
#define MHL_RX_0E 0x0E	//MHL_RX_0E
#define MHL_RX_0F 0x0F	//MHL_RX_0F
#define MHL_RX_10 0x10	//MHL_RX_10
#define MHL_RX_11 0x11	//MHL_RX_11
#define MHL_RX_12 0x12	//MHL_RX_12
#define MHL_RX_13 0x13	//MHL_RX_13
#define MHL_RX_14 0x14	//MHL_RX_14
#define MHL_RX_15 0x15	//MHL_RX_15
#define MHL_RX_16 0x16	//MHL_RX_16
#define MHL_RX_17 0x17	//MHL_RX_17
#define MHL_RX_18 0x18	//MHL_RX_18
#define MHL_RX_19 0x19	//MHL_RX_19
#define MHL_RX_1A 0x1A	//MHL_RX_1A
#define MHL_RX_1B 0x1B	//MHL_RX_1B
#define MHL_RX_1C 0x1C	//MHL_RX_1C
	#define B_MSG_Busy 0x04 // bit2
	#define B_MSC_Busy 0x02 // bit1
	#define B_DDC_Busy 0x01 // bit0


#define MHL_RX_1D 0x1D	//MHL_RX_1D
#define MHL_RX_1E 0x1E	//MHL_RX_1E
#define MHL_RX_1F 0x1F	//MHL_RX_1F
#define MHL_RX_20 0x20	//MHL_RX_20
#define MHL_RX_21 0x21	//MHL_RX_21
#define MHL_RX_22 0x22	//MHL_RX_22
#define MHL_RX_23 0x23	//MHL_RX_23
#define MHL_RX_24 0x24	//MHL_RX_24
#define MHL_RX_25 0x25	//MHL_RX_25
#define MHL_RX_26 0x26	//MHL_RX_26
#define MHL_RX_27 0x27	//MHL_RX_27
#define MHL_RX_28 0x28	//MHL_RX_28
#define MHL_RX_29 0x29	//MHL_RX_29
#define MHL_RX_2A 0x2A	//MHL_RX_2A
#define MHL_RX_2B 0x2B	//MHL_RX_2B
#define MHL_RX_2C 0x2C	//MHL_RX_2C
#define MHL_RX_2D 0x2D	//MHL_RX_2D
#define MHL_RX_2E 0x2E	//MHL_RX_2E
#define MHL_RX_2F 0x2F	//MHL_RX_2F
#define MHL_RX_30 0x30	//MHL_RX_30
#define MHL_RX_31 0x31	//MHL_RX_31
#define MHL_RX_32 0x32	//MHL_RX_32
#define MHL_RX_33 0x33	//MHL_RX_33
#define MHL_RX_34 0x34	//MHL_RX_34
#define MHL_RX_35 0x35	//MHL_RX_35
#define MHL_RX_36 0x36	//MHL_RX_36
#define MHL_RX_37 0x37	//MHL_RX_37
#define MHL_RX_38 0x38	//MHL_RX_38
#define MHL_RX_39 0x39	//MHL_RX_39
#define MHL_RX_3A 0x3A	//MHL_RX_3A
#define MHL_RX_3B 0x3B	//MHL_RX_3B
#define MHL_RX_3C 0x3C	//MHL_RX_3C
#define MHL_RX_3D 0x3D	//MHL_RX_3D
#define MHL_RX_3E 0x3E	//MHL_RX_3E
#define MHL_RX_3F 0x3F	//MHL_RX_3F
#define MHL_RX_40 0x40	//MHL_RX_40
#define MHL_RX_41 0x41	//MHL_RX_41
#define MHL_RX_42 0x42	//MHL_RX_42
#define MHL_RX_43 0x43	//MHL_RX_43
#define MHL_RX_44 0x44	//MHL_RX_44
#define MHL_RX_45 0x45	//MHL_RX_45
#define MHL_RX_46 0x46	//MHL_RX_46
#define MHL_RX_47 0x47	//MHL_RX_47
#define MHL_RX_48 0x48	//MHL_RX_48
#define MHL_RX_49 0x49	//MHL_RX_49
#define MHL_RX_4A 0x4A	//MHL_RX_4A
#define MHL_RX_4B 0x4B	//MHL_RX_4B
#define MHL_RX_4C 0x4C	//MHL_RX_4C
#define MHL_RX_4D 0x4D	//MHL_RX_4D
#define MHL_RX_4E 0x4E	//MHL_RX_4E
#define MHL_RX_4F 0x4F	//MHL_RX_4F

#define MHL_MSC_CtrlPacket0 0x50	//MHL_RX_50
	#define B_WRITE_STAT_SET_INT 	0x80 // bit7
	#define B_READ_DEVCAP 			0x40 // bit6
	#define B_GET_MSC_ERRORCODE 	0x20 // bit5
	#define B_GET_DDC_ERRORCODE 	0x10 // bit4
	#define B_CLR_HPD 				0x08 // bit3
	#define B_SET_HPD 				0x04 // bit2
	#define B_GET_VENDOR_ID 		0x02 // bit1
	#define B_GET_STATE 			0x01 // bit0

#define MHL_MSC_CtrlPacket1 0x51	//MHL_RX_51
	#define B_FW_MODE 				0x80 // bit7
	#define B_MSC_MSG 				0x02 // bit1
	#define B_WRITE_BURST 			0x01 // bit0

#define MHL_RX_52 0x52	//MHL_RX_52
#define MHL_RX_53 0x53	//MHL_RX_53
#define MHL_RX_54 0x54	//MHL_RX_54
#define MHL_RX_55 0x55	//MHL_RX_55
#define MHL_RX_56 0x56	//MHL_RX_56
#define MHL_RX_57 0x57	//MHL_RX_57
#define MHL_RX_58 0x58	//MHL_RX_58
#define MHL_RX_59 0x59	//MHL_RX_59
#define MHL_RX_5A 0x5A	//MHL_RX_5A
#define MHL_RX_5B 0x5B	//MHL_RX_5B
#define MHL_RX_5C 0x5C	//MHL_RX_5C
#define MHL_RX_5D 0x5D	//MHL_RX_5D
#define MHL_RX_5E 0x5E	//MHL_RX_5E
#define MHL_RX_5F 0x5F	//MHL_RX_5F
#define MHL_RX_60 0x60	//MHL_RX_60
#define MHL_RX_61 0x61	//MHL_RX_61
#define MHL_RX_62 0x62	//MHL_RX_62
#define MHL_RX_63 0x63	//MHL_RX_63
#define MHL_RX_64 0x64	//MHL_RX_64
#define MHL_RX_65 0x65	//MHL_RX_65
#define MHL_RX_66 0x66	//MHL_RX_66
#define MHL_RX_67 0x67	//MHL_RX_67
#define MHL_RX_68 0x68	//MHL_RX_68
#define MHL_RX_69 0x69	//MHL_RX_69
#define MHL_RX_6A 0x6A	//MHL_RX_6A
#define MHL_RX_6B 0x6B	//MHL_RX_6B
#define MHL_RX_6C 0x6C	//MHL_RX_6C
#define MHL_RX_6D 0x6D	//MHL_RX_6D
#define MHL_RX_6E 0x6E	//MHL_RX_6E
#define MHL_RX_6F 0x6F	//MHL_RX_6F
#define MHL_RX_70 0x70	//MHL_RX_70
#define MHL_RX_71 0x71	//MHL_RX_71
#define MHL_RX_72 0x72	//MHL_RX_72
#define MHL_RX_73 0x73	//MHL_RX_73
#define MHL_RX_74 0x74	//MHL_RX_74
#define MHL_RX_75 0x75	//MHL_RX_75
#define MHL_RX_76 0x76	//MHL_RX_76
#define MHL_RX_77 0x77	//MHL_RX_77
#define MHL_RX_78 0x78	//MHL_RX_78
#define MHL_RX_79 0x79	//MHL_RX_79
#define MHL_RX_7A 0x7A	//MHL_RX_7A
#define MHL_RX_7B 0x7B	//MHL_RX_7B
#define MHL_RX_7C 0x7C	//MHL_RX_7C
#define MHL_RX_7D 0x7D	//MHL_RX_7D
#define MHL_RX_7E 0x7E	//MHL_RX_7E
#define MHL_RX_7F 0x7F	//MHL_RX_7F
#define MHL_RX_80 0x80	//MHL_RX_80
#define MHL_RX_81 0x81	//MHL_RX_81
#define MHL_RX_82 0x82	//MHL_RX_82
#define MHL_RX_83 0x83	//MHL_RX_83
#define MHL_RX_84 0x84	//MHL_RX_84
#define MHL_RX_85 0x85	//MHL_RX_85
#define MHL_RX_86 0x86	//MHL_RX_86
#define MHL_RX_87 0x87	//MHL_RX_87
#define MHL_RX_88 0x88	//MHL_RX_88
#define MHL_RX_89 0x89	//MHL_RX_89
#define MHL_RX_8A 0x8A	//MHL_RX_8A
#define MHL_RX_8B 0x8B	//MHL_RX_8B
#define MHL_RX_8C 0x8C	//MHL_RX_8C
#define MHL_RX_8D 0x8D	//MHL_RX_8D
#define MHL_RX_8E 0x8E	//MHL_RX_8E
#define MHL_RX_8F 0x8F	//MHL_RX_8F
#define MHL_RX_90 0x90	//MHL_RX_90
#define MHL_RX_91 0x91	//MHL_RX_91
#define MHL_RX_92 0x92	//MHL_RX_92
#define MHL_RX_93 0x93	//MHL_RX_93
#define MHL_RX_94 0x94	//MHL_RX_94
#define MHL_RX_95 0x95	//MHL_RX_95
#define MHL_RX_96 0x96	//MHL_RX_96
#define MHL_RX_97 0x97	//MHL_RX_97
#define MHL_RX_98 0x98	//MHL_RX_98
#define MHL_RX_99 0x99	//MHL_RX_99
#define MHL_RX_9A 0x9A	//MHL_RX_9A
#define MHL_RX_9B 0x9B	//MHL_RX_9B
#define MHL_RX_9C 0x9C	//MHL_RX_9C
#define MHL_RX_9D 0x9D	//MHL_RX_9D
#define MHL_RX_9E 0x9E	//MHL_RX_9E
#define MHL_RX_9F 0x9F	//MHL_RX_9F
#define MHL_RX_A0 0xA0	//MHL_RX_A0
#define MHL_RX_A1 0xA1	//MHL_RX_A1
#define MHL_RX_A2 0xA2	//MHL_RX_A2
#define MHL_RX_A3 0xA3	//MHL_RX_A3
#define MHL_RX_A4 0xA4	//MHL_RX_A4
#define MHL_RX_A5 0xA5	//MHL_RX_A5
#define MHL_RX_A6 0xA6	//MHL_RX_A6
#define MHL_RX_A7 0xA7	//MHL_RX_A7
#define MHL_RX_A8 0xA8	//MHL_RX_A8
#define MHL_RX_A9 0xA9	//MHL_RX_A9
#define MHL_RX_AA 0xAA	//MHL_RX_AA
#define MHL_RX_AB 0xAB	//MHL_RX_AB
#define MHL_RX_AC 0xAC	//MHL_RX_AC
#define MHL_RX_AD 0xAD	//MHL_RX_AD
#define MHL_RX_AE 0xAE	//MHL_RX_AE
#define MHL_RX_AF 0xAF	//MHL_RX_AF
#define MHL_RX_B0 0xB0	//MHL_RX_B0
#define MHL_RX_B1 0xB1	//MHL_RX_B1
#define MHL_RX_B2 0xB2	//MHL_RX_B2
#define MHL_RX_B3 0xB3	//MHL_RX_B3
#define MHL_RX_B4 0xB4	//MHL_RX_B4
#define MHL_RX_B5 0xB5	//MHL_RX_B5
#define MHL_RX_B6 0xB6	//MHL_RX_B6
#define MHL_RX_B7 0xB7	//MHL_RX_B7
#define MHL_RX_B8 0xB8	//MHL_RX_B8
#define MHL_RX_B9 0xB9	//MHL_RX_B9
#define MHL_RX_BA 0xBA	//MHL_RX_BA
#define MHL_RX_BB 0xBB	//MHL_RX_BB
#define MHL_RX_BC 0xBC	//MHL_RX_BC
#define MHL_RX_BD 0xBD	//MHL_RX_BD
#define MHL_RX_BE 0xBE	//MHL_RX_BE
#define MHL_RX_BF 0xBF	//MHL_RX_BF
#define MHL_RX_C0 0xC0	//MHL_RX_C0
#define MHL_RX_C1 0xC1	//MHL_RX_C1
#define MHL_RX_C2 0xC2	//MHL_RX_C2
#define MHL_RX_C3 0xC3	//MHL_RX_C3
#define MHL_RX_C4 0xC4	//MHL_RX_C4
#define MHL_RX_C5 0xC5	//MHL_RX_C5
#define MHL_RX_C6 0xC6	//MHL_RX_C6
#define MHL_RX_C7 0xC7	//MHL_RX_C7
#define MHL_RX_C8 0xC8	//MHL_RX_C8
#define MHL_RX_C9 0xC9	//MHL_RX_C9
#define MHL_RX_CA 0xCA	//MHL_RX_CA
#define MHL_RX_CB 0xCB	//MHL_RX_CB
#define MHL_RX_CC 0xCC	//MHL_RX_CC
#define MHL_RX_CD 0xCD	//MHL_RX_CD
#define MHL_RX_CE 0xCE	//MHL_RX_CE
#define MHL_RX_CF 0xCF	//MHL_RX_CF
#define MHL_RX_D0 0xD0	//MHL_RX_D0
#define MHL_RX_D1 0xD1	//MHL_RX_D1
#define MHL_RX_D2 0xD2	//MHL_RX_D2
#define MHL_RX_D3 0xD3	//MHL_RX_D3
#define MHL_RX_D4 0xD4	//MHL_RX_D4
#define MHL_RX_D5 0xD5	//MHL_RX_D5
#define MHL_RX_D6 0xD6	//MHL_RX_D6
#define MHL_RX_D7 0xD7	//MHL_RX_D7
#define MHL_RX_D8 0xD8	//MHL_RX_D8
#define MHL_RX_D9 0xD9	//MHL_RX_D9
#define MHL_RX_DA 0xDA	//MHL_RX_DA
#define MHL_RX_DB 0xDB	//MHL_RX_DB
#define MHL_RX_DC 0xDC	//MHL_RX_DC
#define MHL_RX_DD 0xDD	//MHL_RX_DD
#define MHL_RX_DE 0xDE	//MHL_RX_DE
#define MHL_RX_DF 0xDF	//MHL_RX_DF
#define MHL_RX_E0 0xE0	//MHL_RX_E0
#define MHL_RX_E1 0xE1	//MHL_RX_E1
#define MHL_RX_E2 0xE2	//MHL_RX_E2
#define MHL_RX_E3 0xE3	//MHL_RX_E3
#define MHL_RX_E4 0xE4	//MHL_RX_E4
#define MHL_RX_E5 0xE5	//MHL_RX_E5
#define MHL_RX_E6 0xE6	//MHL_RX_E6
#define MHL_RX_E7 0xE7	//MHL_RX_E7
#define MHL_RX_E8 0xE8	//MHL_RX_E8
#define MHL_RX_E9 0xE9	//MHL_RX_E9
#define MHL_RX_EA 0xEA	//MHL_RX_EA
#define MHL_RX_EB 0xEB	//MHL_RX_EB
#define MHL_RX_EC 0xEC	//MHL_RX_EC
#define MHL_RX_ED 0xED	//MHL_RX_ED
#define MHL_RX_EE 0xEE	//MHL_RX_EE
#define MHL_RX_EF 0xEF	//MHL_RX_EF
#define MHL_RX_F0 0xF0	//MHL_RX_F0
#define MHL_RX_F1 0xF1	//MHL_RX_F1
#define MHL_RX_F2 0xF2	//MHL_RX_F2
#define MHL_RX_F3 0xF3	//MHL_RX_F3
#define MHL_RX_F4 0xF4	//MHL_RX_F4
#define MHL_RX_F5 0xF5	//MHL_RX_F5
#define MHL_RX_F6 0xF6	//MHL_RX_F6
#define MHL_RX_F7 0xF7	//MHL_RX_F7
#define MHL_RX_F8 0xF8	//MHL_RX_F8
#define MHL_RX_F9 0xF9	//MHL_RX_F9
#define MHL_RX_FA 0xFA	//MHL_RX_FA
#define MHL_RX_FB 0xFB	//MHL_RX_FB
#define MHL_RX_FC 0xFC	//MHL_RX_FC
#define MHL_RX_FD 0xFD	//MHL_RX_FD
#define MHL_RX_FE 0xFE	//MHL_RX_FE
#define MHL_RX_FF 0xFF	//MHL_RX_FF
#endif

#if 1
/*****************************************************************************/
/* Mask Definitions **********************************************************/
/*****************************************************************************/
	#define B_7 0x80 // bit7
	#define B_6 0x40 // bit6
	#define B_5 0x20 // bit5
	#define B_4 0x10 // bit4
	#define B_3 0x08 // bit3
	#define B_2 0x04 // bit2
	#define B_1 0x02 // bit1
	#define B_0 0x01 // bit0


#define REG_RX_P0_SYS_STATUS 0x0A
	#define B_P0_SCDT 0x80 // bit7
	#define B_P0_MHL_MODE 0x40 // bit6
	#define B_P0_IPLL_LOCK 0x20 // bit5
	#define B_P0_RXCK_SPEED 0x10 // bit4
	#define B_P0_RXCK_VALID 0x08 // bit3
	#define B_P0_VCLK_DET 0x04 // bit2
	#define B_P0_HDMI_MODE 0x02 // bit1
	#define B_P0_PWR5V_DET 0x01 // bit0

#define REG_RX_P1_SYS_STATUS 0x0B
	#define B_P1_SCDT 0x80 // bit7
	#define B_P1_OPLL_LOCK 0x40 // bit6
	#define B_P1_IPLL_LOCK 0x20 // bit5
	#define B_P1_RXCK_SPEED 0x10 // bit4
	#define B_P1_RXCK_VALID 0x08 // bit3
	#define B_P1_VCLK_DET 0x04 // bit2
	#define B_P1_HDMI_MODE 0x02 // bit1
	#define B_P1_PWR5V_DET 0x01 // bit0

#define REG_RX_RST_CTRL 0x10 // REG_RX_010
	#define B_PWDACLK	0x80
	#define B_PWDPCLK	0x40
	#define B_EN_AUTO_AUDRST	0x20
	#define B_EN_AUTO_VDORST	0x10
	#define B_REGRST	0x08
	#define B_EN_INTRST	0x04
	#define B_AUDRST	0x02
	#define B_VDORST	0x01

#define REG_RX_RST2_CTRL 0x11 // REG_RX_011
	#define B_P0_DCLKRST	0x08
	#define B_P0_CDRRST		0x04
	#define B_P0_HDCPRST	0x02	
	#define B_P0_SWRST		0x01	

//#define REG_RX_018 0x18 // REG_RX_018
	#define B_P1_DCLKRST	0x08
	#define B_P1_CDRRST		0x04
	#define B_P1_HDCPRST	0x02		
	#define B_P1_SWRST		0x01		

//#define REG_RX_051 0x51 // REG_RX_051
	#define B_PORT_SEL 0x01 // bit0
	#define B_EN_DEBUG 0x02 // bit1
	#define B_CCIR656 0x04 // bit2
	#define B_DisPixRpt 0x08 // bit3
	#define B_HALF_CLK 0x10 // bit4
	#define B_OUT_DDR 0x20 // bit5
	#define B_HALF_PCLKC 0x40 // bit6
	#define B_PWD_CSC 0x80 // bit7

#define REG_RX_OUPT_CTRL1 0x52
	#define B_HCLKSel        	0x80
	#define B_EnSWHCLKSel 	0x40
	#define B_DisVAutoMute    0x20
	#define B_TriSPDIF   		0x10
	#define B_TriI2SIO       	0x0F

#define REG_RX_OUPT_CTRL2  0x53 // REG_RX_053
	#define B_VDGatting 0x80 // bit7 -> Enable output data gating to zero when no Video display
	#define B_VIOSel 0x40 // bit6 -> 1: video IO enable depent on VIOenable
	#define B_VDIOLLdisable 0x20 // bit5 -> 1: disable video IO QE0, QE1, QE12, QE13, QE24, QE25
	#define B_VDIOLHdisable 0x10 // bit4 -> 1:  disable video IO QE2, QE3, QE14, QE15, QE26, QE27
	#define B_TriVDIO 0x0E // bit2~1 -> 111: enable tri-state Video IO
	#define B_TriSYNC 0x01 // bit0 ->1: Tristate video control signal IO


#define REG_RX_MCLK_CTRL    0x54
	#define B_EnAsynRst	0x80
	#define M_MCLKSel 	0x70
	#define B_128FS 0x00
	#define B_256FS 0x10
	#define B_384FS 0x20
	#define B_512FS 0x30
	#define B_640FS 0x40
	#define B_768FS 0x50
	#define B_894FS 0x60
	#define B_1024FS 0x70

	#define B_RCLKFreqSel	0x03
	#define B_RCLKDIV2 0x0
	#define B_RCLKDIV4 0x1
	#define B_RCLKDIV8 0x2
	#define B_RCLKDIV16 0x3

#define REG_RX_OUT_CSC_CTRL 0x65 // REG_RX_065
	//#define B_OUT_CSCSel0 0x01 // bit0
	//#define B_OUT_CSCSel1 0x02 // bit1
	//#define B_OUT_COLOR_DEPTH0 0x04 // bit2
	//#define B_OUT_COLOR_DEPTH1 0x08 // bit3
	//#define B_OUT_COLOR_MODE0 0x10 // bit4
	//#define B_OUT_COLOR_MODE1 0x20 // bit5
	#define B_SyncEmb 0x40 // bit6
	#define B_BTA1004Fmt 0x80 // bit7

	#define M_OUTPUT_COLOR_MASK 0x30
	#define B_OUTPUT_RGB24      0x00
	#define B_OUTPUT_YUV422     0x10
	#define B_OUTPUT_YUV444     0x20

	#define M_CD_SEL_MASK   0x0C
	#define B_CD_8BIT        0x00
	#define B_CD_10BIT      0x04
	#define B_CD_12BIT      0x08

	#define M_CSC_SEL_MASK   0x03
	#define B_CSC_BYPASS        0x00
	#define B_CSC_RGB2YUV      0x02	// for Andrew modify to 10
	#define B_CSC_YUV2RGB      0x03

#define REG_RX_OUPT_CTRL3 0x66
	#define B_3DFreSeq		0x80
	#define B_EnHW3DFreSeq	0x40
	#define B_3DFldPol		0x20
	#define B_DE3DFrame	0x10
	#define B_EnSyncOut        	0x08
	#define B_YCSwap       	0x04
	#define B_STBMode_1       	0x02
	#define B_STBMode_0		0x01

#define REG_RX_VIDEO_CTRL1 0x67 // REG_RX_067
	#define B_RX_EN_UDFILTER 0x01 // bit0
	#define B_RX_EN_DITHER 0x02 // bit1
	#define B_RX_DNFREE_GO 0x04 // bit2
	//#define B_3 0x08 // bit3
	//#define B_4 0x10 // bit4
	//#define B_5 0x20 // bit5
	//#define B_6 0x40 // bit6
	#define B_AutoCSCSel 0x80 // bit7

#define REG_RX_IN_CSC_CTRL 0x71 // REG_RX_071
	//#define B_IN_ColMod_Set0 0x01 // bit0
	//#define B_IN_ColMod_Set1 0x02 // bit1
	#define B_IN_FORCE_COLOR_MODE 0x04 // bit2
	//#define B_3 0x08 // bit3
	//#define B_4 0x10 // bit4
	//#define B_5 0x20 // bit5
	//#define B_6 0x40 // bit6
	//#define B_7 0x80 // bit7

	#define M_INPUT_COLOR_MASK 0x03
	#define B_INPUT_RGB24      0x00
	#define B_INPUT_YUV422     0x01
	#define B_INPUT_YUV444     0x02

//#define REG_RX_074 0x74 // REG_RX_074
	#define B_I2SCEn 0x80 // bit7
	#define B_Force_FS 0x40 // bit6
	#define B_Dis_False_DE 0x20 // bit5
	#define B_Aud_Info_Force 0x10 // bit4
	#define B_AVMute_Value 0x08 // bit3
	#define B_Force_AVMute 0x04 // bit2
	#define B_Dien 0x02 // bit1
	#define B_Dis_sdm 0x01 // bit0

//#define REG_RX_07A 0x7A // REG_RX_07A
	#define B_CTS_RES 0x70 // bit6~4

//#define REG_RX_07B 0x7B // REG_RX_07B
	#define M_FS 0x0F
	#define B_192K 	0x0E
	#define B_176P4K 0x0C
	#define B_96K 	0x0A
	#define B_88P2K 	0x08
	#define B_48K 	0x02
	#define B_44P1K 	0x00
	#define B_32K 	0x03

#define REG_RX_HWMuteRate 0x7C

#define REG_RX_HWMuteCtrl 0x7D
	#define B_ARAM_BIST_EN 0x80 // bit7
	#define B_HWForceMute 0x40 // bit6
	#define B_HWAudMuteClrMode 0x20 // bit5
	#define B_HWMuteClr 0x10 // bit4
	#define B_HWMuteEn 0x08 // bit3
	#define B_HWMuteRate 0x07 // bit0

//#define REG_RX_07E 0x7E // REG_RX_07E
	#define B_BiPhaseMode 0x80 // bit7
	#define B_HBRSel 0x40 // bit6
	#define B_I2SOut_Fmt 0x20 // bit5
	#define B_Force_I2SOut 0x10 // bit4

#define REG_RX_PIXCLK_SPEED 0x9A // REG_RX_09A

//#define REG_RX_0A8 0xA8 // REG_RX_0A8
	//#define B_7 0x80 // bit7
	//#define B_6 0x40 // bit6
	//#define B_5 0x20 // bit5
	#define B_P1_AVMUTE 0x10 // bit4
	//#define B_3 0x08 // bit3
	//#define B_2 0x04 // bit2
	//#define B_1 0x02 // bit1
	#define B_P0_AVMUTE 0x01 // bit0

#define REG_RX_AUDIO_CH_STAT 0xAA
    #define B_AUDIO_ON 0x80
    #define B_HBRAUDIO 0x40
    #define B_DSDAUDIO 0x20
    #define B_AUDIO_LAYOUT 0x10
    #define M_AUDIO_CH         0xF
    #define B_AUDIO_SRC_VALID_3 0x08
    #define B_AUDIO_SRC_VALID_2 0x04
    #define B_AUDIO_SRC_VALID_1 0x02
    #define B_AUDIO_SRC_VALID_0 0x01

#define REG_RX_AUD_CHSTAT0 0xAB
	#define B_AUD_NLPCM 0x01
	#define B_NLPCM 0x01
	#define B_SW_COPYRIGHT_ASSERT 0x02

#define REG_RX_AUD_CHSTAT1 0xAC

#define REG_RX_AUD_CHSTAT2 0xAD
	#define M_CH_NUM    0xF0
	#define O_CH_NUM    4
	#define M_SRC_NUM   0x0F
	#define O_SRC_NUM   0

#define REG_RX_AUD_CHSTAT3 0xAE
	#define M_FS              0x0F /* mask - sample frequency */
	#define B_FS_44100        (0<<0)  /* 44.1kHz */
	#define B_FS_NOTID        (1<<0)  /* non indicated */
	#define B_FS_48000        (2<<0)  /* 48kHz */
	#define B_FS_32000        (3<<0)  /* 32kHz */
	#define B_FS_22050        (4<<0)  /* 22.05kHz */
	#define B_FS_24000        (6<<0)  /* 24kHz */
	#define B_FS_88200        (8<<0)  /* 88.2kHz */
	#define B_FS_768000       (9<<0)  /* 768kHz */
	#define B_FS_96000        (10<<0) /* 96kHz */
	#define B_FS_176400       (12<<0) /* 176.4kHz */
	#define B_FS_192000       (14<<0) /* 192kHz */

#define REG_RX_CSC_YOFF 0x70 // REG_RX_170
#define REG_RX_CSC_COFF 0x71 // REG_RX_171
#define REG_RX_CSC_RGBOFF 0x72 // REG_RX_172
#define REG_RX_CSC_MTX11_L 0x73 // REG_RX_173
#define REG_RX_CSC_MTX11_H 0x74 // REG_RX_174
#define REG_RX_CSC_MTX12_L 0x75 // REG_RX_175
#define REG_RX_CSC_MTX12_H 0x76 // REG_RX_176
#define REG_RX_CSC_MTX13_L 0x77 // REG_RX_177
#define REG_RX_CSC_MTX13_H 0x78 // REG_RX_178
#define REG_RX_CSC_MTX21_L 0x79 // REG_RX_179
#define REG_RX_CSC_MTX21_H 0x7A // REG_RX_17A
#define REG_RX_CSC_MTX22_L 0x7B // REG_RX_17B
#define REG_RX_CSC_MTX22_H 0x7C // REG_RX_17C
#define REG_RX_CSC_MTX23_L 0x7D // REG_RX_17D
#define REG_RX_CSC_MTX23_H 0x7E // REG_RX_17E
#define REG_RX_CSC_MTX31_L 0x7F // REG_RX_17F
#define REG_RX_CSC_MTX31_H 0x80 // REG_RX_180
#define REG_RX_CSC_MTX32_L 0x81 // REG_RX_181
#define REG_RX_CSC_MTX32_H 0x82 // REG_RX_182
#define REG_RX_CSC_MTX33_L 0x83 // REG_RX_183
#define REG_RX_CSC_MTX33_H 0x84 // REG_RX_184


// AVI infoFrame 0x212 ~ 0x223
#define REG_RX_AVI_LENGTH 0x12 // REG_RX_212
#define REG_RX_AVI_VER 0x13 // REG_RX_213
#define REG_RX_AVI_DB0 0x14 // REG_RX_214
	#define O_AVI_COLOR_MODE 5
	#define M_AVI_COLOR_MASK   3
	#define B_AVI_COLOR_RGB24  0
	#define B_AVI_COLOR_YUV422 1
	#define B_AVI_COLOR_YUV444 2

	#define B_AVI_PRESENT (1<<4)

	#define O_AVI_BAR_INFO 2
	#define M_AVI_BAR_INFO_MASK 3
	#define B_AVI_BAR_NOT_VALID 0
	#define B_AVI_BAR_VINFO_VALID 1
	#define B_AVI_BAR_HINFO_VALID 2
	#define B_AVI_BAR_VHINFO_VALID 3

	#define O_AVI_SCAN_INFO 0
	#define M_AVI_SCAN_INFO_MASK 3
	#define M_AVI_SCAN_NODATA    0
	#define M_AVI_SCAN_OVER_SCAN 1
	#define M_AVI_SCAN_UNDER_SCAN 2
#define REG_RX_AVI_DB1 0x15 // REG_RX_215
	// D[7:6] C1C0 Colorimetry
	#define O_AVI_CLRMET 6
	#define M_AVI_CLRMET_MASK 3
	#define B_AVI_CLRMET_NODATA 0
	#define B_AVI_CLRMET_ITU601  1
	#define B_AVI_CLRMET_ITU709  2
	#define B_AVI_CLRMET_Extend  3	// _SupportXVYcc_ --> indicated in bits EC0~EC2
	// D[5:4] M1M0 Picture Aspect Ratio
	#define O_AVI_PIC_ASRATIO 4
	#define M_AVI_PIC_ASRATIO_MASK 3
	#define B_AVI_PIC_ASRATIO_NODATA 0
	#define B_AVI_PIC_ASRATIO_4_3    1
	#define B_AVI_PIC_ASRATIO_16_9   2
	// D[3:0] R3R2R1R0 Active Format Aspect Ratio
	#define O_AVI_FMT_ASRATIO 0
	#define M_AVI_FMT_ASRATIO_MASK  0xF
	#define M_AVI_FMT_ASRATIO_EQPIC 0x8
	#define M_AVI_FMT_ASRATIO_4_3 0x9
	#define M_AVI_FMT_ASRATIO_16_9 0xA
	#define M_AVI_FMT_ASRATIO_14_9 0xB
#define REG_RX_AVI_DB2 0x16 // REG_RX_216
	#define O_AVI_NUNI_SCALE 0
	#define M_AVI_NUNI_SCALE_MASK 3
	#define B_AVI_NUNI_SCALE_NODATA 0
	#define B_AVI_NUNI_SCALE_HORZ 1
	#define B_AVI_NUNI_SCALE_VERT 2
	#define B_AVI_NUNI_SCALE_HORZVERT 3
#define REG_RX_AVI_DB3 0x17 // REG_RX_217
	#define O_AVI_VIDCODE 0
	#define O_AVI_VIDCODE_MASK 0x7f
#define REG_RX_AVI_DB4 0x18 // REG_RX_218
	#define O_AVI_PIXREPT 0
	#define M_AVI_PIXREPT_MASK 0xF
#define REG_RX_AVI_DB5 0x19 // REG_RX_219
#define REG_RX_AVI_DB6 0x1A // REG_RX_21A
#define REG_RX_AVI_DB7 0x1B // REG_RX_21B
#define REG_RX_AVI_DB8 0x1C // REG_RX_21C
#define REG_RX_AVI_DB9 0x1D // REG_RX_21D
#define REG_RX_AVI_DB10 0x1E // REG_RX_21E
#define REG_RX_AVI_DB11 0x1F // REG_RX_21F
#define REG_RX_AVI_DB12 0x20 // REG_RX_220
#define REG_RX_AVI_DB13 0x21 // REG_RX_221
#define REG_RX_AVI_DB14 0x22 // REG_RX_222
#define REG_RX_AVI_DB15 0x23 // REG_RX_223

#endif


#endif
