///*****************************************
//  Copyright (C) 2009-2014
//  ITE Tech. Inc. All Rights Reserved
//  Proprietary and Confidential
///*****************************************
//   @file   <TimerProcess.h>
//   @author Max.Kao@ite.com.tw
//   @date   2011/12/01
//   @fileversion: IT6623_Sample_1.03
//******************************************/

#ifndef _TIMERPROCESS_H
#define _TIMERPROCESS_H


//#define MachineCycle    12

//#define One_Sec         1000L

extern volatile unsigned short  ucTickCount;


typedef enum System_TimerTask_Type {
	eIT6802Polling,
	eKeyPolling,	
	eCBusWaiting,
	eLED1Ctrl,
	eLED2Ctrl,
	eLED3Ctrl,
	eLEDMonitor,
	eSysTimerTask_non		
} System_TimerTask_Type;

typedef enum System_TimerTask_Run {
    SysTimerTask_AutoRun,
    SysTimerTask_OnceRun,
    SysTimerTask_Finish,    
    SysTimerTask_NonRun
} System_TimerTask_Run;

typedef struct TimerTask_Description
{
    unsigned short  TimerTask_TickCount;
    unsigned short  TimerTask_AimCount;
    System_TimerTask_Type  TimerTask_name;
    System_TimerTask_Run    TimerTaskAutoRun;
} TimerTask_Description,*PTimerTask_Description;



void clrTimerTask(System_TimerTask_Type cTimerTask);

unsigned char TimeOutCheck(System_TimerTask_Type cTimerTask);

unsigned char DestructTimerTask(System_TimerTask_Type cTimerTask);
unsigned char initTimerTask();
void ProcessMultiTimerTask();
void CreatTimerTask(System_TimerTask_Type cTimerTask,
    unsigned short Acount,
    System_TimerTask_Run AutoRun);

void delay1ms(unsigned short ms);

#define MAX_TimerTaskC eSysTimerTask_non
#endif
